Package com.sap.ai.sdk.core.model

# Class AiConfigurationBaseData

java.lang.Object
com.sap.ai.sdk.core.model.AiConfigurationBaseData

public class AiConfigurationBaseData extends Object
AiConfigurationBaseData

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `AiConfigurationBaseData.Builder`
  Builder helper class.
  `static interface`
  `AiConfigurationBaseData.Builder1`
  Builder helper class.
  `static interface`
  `AiConfigurationBaseData.Builder2`
  Builder helper class.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `AiConfigurationBaseData()`
  Default constructor for AiConfigurationBaseData.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AiConfigurationBaseData`
  `addInputArtifactBindingsItem(AiArtifactArgumentBinding inputArtifactBindingsItem)`
  Add one inputArtifactBindings instance to this `AiConfigurationBaseData`.
  `AiConfigurationBaseData`
  `addParameterBindingsItem(AiParameterArgumentBinding parameterBindingsItem)`
  Add one parameterBindings instance to this `AiConfigurationBaseData`.
  `static AiConfigurationBaseData.Builder`
  `create()`
  Create a type-safe, fluent-api builder object to construct a new `AiConfigurationBaseData` instance with all required arguments.
  `boolean`
  `equals(Object o)`
  `AiConfigurationBaseData`
  `executableId(String executableId)`
  Set the executableId of this `AiConfigurationBaseData` instance and return the same instance.
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `AiConfigurationBaseData`.
  `String`
  `getExecutableId()`
  ID of the executable
  `List<AiArtifactArgumentBinding>`
  `getInputArtifactBindings()`
  Get inputArtifactBindings
  `String`
  `getName()`
  Name of the configuration
  `List<AiParameterArgumentBinding>`
  `getParameterBindings()`
  Get parameterBindings
  `String`
  `getScenarioId()`
  ID of the scenario
  `int`
  `hashCode()`
  `AiConfigurationBaseData`
  `inputArtifactBindings(List<AiArtifactArgumentBinding> inputArtifactBindings)`
  Set the inputArtifactBindings of this `AiConfigurationBaseData` instance and return the same instance.
  `AiConfigurationBaseData`
  `name(String name)`
  Set the name of this `AiConfigurationBaseData` instance and return the same instance.
  `AiConfigurationBaseData`
  `parameterBindings(List<AiParameterArgumentBinding> parameterBindings)`
  Set the parameterBindings of this `AiConfigurationBaseData` instance and return the same instance.
  `AiConfigurationBaseData`
  `scenarioId(String scenarioId)`
  Set the scenarioId of this `AiConfigurationBaseData` instance and return the same instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `AiConfigurationBaseData` instance.
  `void`
  `setExecutableId(String executableId)`
  Set the executableId of this `AiConfigurationBaseData` instance.
  `void`
  `setInputArtifactBindings(List<AiArtifactArgumentBinding> inputArtifactBindings)`
  Set the inputArtifactBindings of this `AiConfigurationBaseData` instance.
  `void`
  `setName(String name)`
  Set the name of this `AiConfigurationBaseData` instance.
  `void`
  `setParameterBindings(List<AiParameterArgumentBinding> parameterBindings)`
  Set the parameterBindings of this `AiConfigurationBaseData` instance.
  `void`
  `setScenarioId(String scenarioId)`
  Set the scenarioId of this `AiConfigurationBaseData` instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `AiConfigurationBaseData` instance including unrecognized properties.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AiConfigurationBaseData

    protected AiConfigurationBaseData()
    Default constructor for AiConfigurationBaseData.

- ## Method Details

  - ### name

    @Nonnull public AiConfigurationBaseData name(@Nonnull String name)
    Set the name of this `AiConfigurationBaseData` instance and return the same instance.
    Parameters:
      `name` - Name of the configuration
    Returns:
      The same instance of this `AiConfigurationBaseData` class

  - ### getName

    @Nonnull public String getName()
    Name of the configuration
    Returns:
      name The name of this `AiConfigurationBaseData` instance.

  - ### setName

    public void setName(@Nonnull String name)
    Set the name of this `AiConfigurationBaseData` instance.
    Parameters:
      `name` - Name of the configuration

  - ### executableId

    @Nonnull public AiConfigurationBaseData executableId(@Nonnull String executableId)
    Set the executableId of this `AiConfigurationBaseData` instance and return the same instance.
    Parameters:
      `executableId` - ID of the executable
    Returns:
      The same instance of this `AiConfigurationBaseData` class

  - ### getExecutableId

    @Nonnull public String getExecutableId()
    ID of the executable
    Returns:
      executableId The executableId of this `AiConfigurationBaseData` instance.

  - ### setExecutableId

    public void setExecutableId(@Nonnull String executableId)
    Set the executableId of this `AiConfigurationBaseData` instance.
    Parameters:
      `executableId` - ID of the executable

  - ### scenarioId

    @Nonnull public AiConfigurationBaseData scenarioId(@Nonnull String scenarioId)
    Set the scenarioId of this `AiConfigurationBaseData` instance and return the same instance.
    Parameters:
      `scenarioId` - ID of the scenario
    Returns:
      The same instance of this `AiConfigurationBaseData` class

  - ### getScenarioId

    @Nonnull public String getScenarioId()
    ID of the scenario
    Returns:
      scenarioId The scenarioId of this `AiConfigurationBaseData` instance.

  - ### setScenarioId

    public void setScenarioId(@Nonnull String scenarioId)
    Set the scenarioId of this `AiConfigurationBaseData` instance.
    Parameters:
      `scenarioId` - ID of the scenario

  - ### parameterBindings

    @Nonnull public AiConfigurationBaseData parameterBindings(@Nullable List<AiParameterArgumentBinding> parameterBindings)
    Set the parameterBindings of this `AiConfigurationBaseData` instance and return the same instance.
    Parameters:
      `parameterBindings` - The parameterBindings of this `AiConfigurationBaseData`
    Returns:
      The same instance of this `AiConfigurationBaseData` class

  - ### addParameterBindingsItem

    @Nonnull public AiConfigurationBaseData addParameterBindingsItem(@Nonnull AiParameterArgumentBinding parameterBindingsItem)
    Add one parameterBindings instance to this `AiConfigurationBaseData`.
    Parameters:
      `parameterBindingsItem` - The parameterBindings that should be added
    Returns:
      The same instance of type `AiConfigurationBaseData`

  - ### getParameterBindings

    @Nonnull public List<AiParameterArgumentBinding> getParameterBindings()
    Get parameterBindings
    Returns:
      parameterBindings The parameterBindings of this `AiConfigurationBaseData` instance.

  - ### setParameterBindings

    public void setParameterBindings(@Nullable List<AiParameterArgumentBinding> parameterBindings)
    Set the parameterBindings of this `AiConfigurationBaseData` instance.
    Parameters:
      `parameterBindings` - The parameterBindings of this `AiConfigurationBaseData`

  - ### inputArtifactBindings

    @Nonnull public AiConfigurationBaseData inputArtifactBindings(@Nullable List<AiArtifactArgumentBinding> inputArtifactBindings)
    Set the inputArtifactBindings of this `AiConfigurationBaseData` instance and return the same instance.
    Parameters:
      `inputArtifactBindings` - The inputArtifactBindings of this `AiConfigurationBaseData`
    Returns:
      The same instance of this `AiConfigurationBaseData` class

  - ### addInputArtifactBindingsItem

    @Nonnull public AiConfigurationBaseData addInputArtifactBindingsItem(@Nonnull AiArtifactArgumentBinding inputArtifactBindingsItem)
    Add one inputArtifactBindings instance to this `AiConfigurationBaseData`.
    Parameters:
      `inputArtifactBindingsItem` - The inputArtifactBindings that should be added
    Returns:
      The same instance of type `AiConfigurationBaseData`

  - ### getInputArtifactBindings

    @Nonnull public List<AiArtifactArgumentBinding> getInputArtifactBindings()
    Get inputArtifactBindings
    Returns:
      inputArtifactBindings The inputArtifactBindings of this `AiConfigurationBaseData` instance.

  - ### setInputArtifactBindings

    public void setInputArtifactBindings(@Nullable List<AiArtifactArgumentBinding> inputArtifactBindings)
    Set the inputArtifactBindings of this `AiConfigurationBaseData` instance.
    Parameters:
      `inputArtifactBindings` - The inputArtifactBindings of this `AiConfigurationBaseData`

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `AiConfigurationBaseData`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `AiConfigurationBaseData` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `AiConfigurationBaseData` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `AiConfigurationBaseData` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static AiConfigurationBaseData.Builder create()
    Create a type-safe, fluent-api builder object to construct a new `AiConfigurationBaseData` instance with all required arguments.